This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 859844 - [XML-RPC] TestCaseRun.filter() can not filter caserun via "category"
[XML-RPC] TestCaseRun.filter() can not filter caserun via "category"
Status: CLOSED NOTABUG
Product: TCMS
Classification: Other
Component: XMLRPC (Show other bugs)
3.8.0
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: jianchen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-24 03:48 EDT by Xin Gao
Modified: 2015-05-27 18:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-10 03:14:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Xin Gao 2012-09-24 03:48:34 EDT
Description of problem:
In xmlrpc doc, key "category" is not available for TestCaseRun.filter(). 
Actually, it doesn't work.

TestCaseRun.filter() can not filter caserun via "category".

Version-Release number of selected component (if applicable):
3.8 on stage/production

How reproducible:


Steps to Reproduce:
1. TestCaseRun.filter({'category__name': "xgaoxgaoxgao"})
 or TestCaseRun.filter({'category__id': 261})

2.
3.
  
Actual results:
Fault: <Fault 1: "FieldError: Cannot resolve keyword 'category' into field. Choices are: assignee, build, case, case_run_attachment, case_run_bug, case_run_id, case_run_status, case_text_version, close_date, environment_id, is_current, links, notes, run, running_date, sortkey, tested_by">


Expected results:
After reviewed code, I couldn't found the attribute "category" in the class "TestCaseRun". So I suggest remove  key "category" from doc. And if user want to filter case via category, they can use key "case", for example, 
>>> TestCaseRun.filter({'case__category__name': "xgaoxgaoxgao"})
or
>>> TestCaseRun.filter({'case__category__id': 261})

Additional info:

Note You need to log in before you can comment on or make changes to this bug.